l10n_it_partially_deductible_vat - wrong test

Bug #1295743 reported by Lorenzo Battistini - Agile BG on 2014-03-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenERP Italia
Medium
Lorenzo Battistini - Agile BG

Bug Description

See at
http://buildbot.openerp.agilebg.com/builders/openerp-italia-postgresql-9.1/builds/6/steps/testing/logs/test

2014-03-21 15:55:53,742 25350 INFO public-openerp-buildbot-openerp-italia openerp.modules.loading: module l10n_it_partially_deductible_vat: loading test/tax_computation.yml
2014-03-21 15:55:53,770 25350 TEST public-openerp-buildbot-openerp-italia openerp.tools.yaml_import: In order to test tax computation I create a new customer invoice
2014-03-21 15:55:53,886 25350 ERROR public-openerp-buildbot-openerp-italia openerp.tools.yaml_import: "Object '<openerp.osv.orm.account.invoice object at 0xb437bcc>' does not contain field 'address_contact_id'"
Traceback (most recent call last):
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 864, in process
    self._process_node(node)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 875, in _process_node
    self.process_record(node)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 325, in process_record
    record_dict = self._create_record(model, fields, view_info, default=default)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 464, in _create_record
    field_value = self._eval_field(model, field_name, expression, default=False)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 501, in _eval_field
    raise KeyError("Object '%s' does not contain field '%s'" % (model, field_name))
KeyError: "Object '<openerp.osv.orm.account.invoice object at 0xb437bcc>' does not contain field 'address_contact_id'"
2014-03-21 15:55:53,887 25350 ERROR public-openerp-buildbot-openerp-italia openerp.modules.loading: module l10n_it_partially_deductible_vat: an exception occurred in a test
Traceback (most recent call last):
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/modules/loading.py", line 83, in load_test
    _load_data(cr, module_name, idref, mode, 'test')
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/modules/loading.py", line 122, in _load_data
    tools.convert_yaml_import(cr, module_name, fp, kind, idref, mode, noupdate, report)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 928, in yaml_import
    yaml_interpreter.process(yaml_string)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 864, in process
    self._process_node(node)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 875, in _process_node
    self.process_record(node)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 325, in process_record
    record_dict = self._create_record(model, fields, view_info, default=default)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 464, in _create_record
    field_value = self._eval_field(model, field_name, expression, default=False)
  File "/home/buildslave/public/openerp/openerp-italia-postgresql-9_1/build/parts/server-7.0/openerp/tools/yaml_import.py", line 501, in _eval_field
    raise KeyError("Object '%s' does not contain field '%s'" % (model, field_name))
KeyError: "Object '<openerp.osv.orm.account.invoice object at 0xb437bcc>' does not contain field 'address_contact_id'"

Related branches

Changed in openobject-italia:
status: New → Fix Committed
assignee: nobody → Lorenzo Battistini - Agile BG (elbati)
importance: Undecided → Medium
Changed in openobject-italia:
status: Fix Committed → Fix Released

I am out of the office from Thu 03/07/2014 until Mon 21/07/2014.

I will respond to your message when I return.

Note: This is an automated response to your message "[Bug 1295743] Re:
l10n_it_partially_deductible_vat - wrong test" sent on 07/07/2014 12.23.19.

This is the only notification you will receive while this person is away.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers